<?php
/*******************************************************************
 *			
 * 			Fichier			:	functions.php 
 * 			Cr le			:	03 mars 2003 
 * 			Dernire modif	:	10 juin 2003 
 * 			Email			:	wascripts@phpcodeur.net 
 * 
 * 				Copyright  2002-2003 phpCodeur
 * 
 *******************************************************************/

/*******************************************************************
 *  This program is free software; you can redistribute it and/or 
 * 	modify it under the terms of the GNU General Public License as 
 * 	published by the Free Software Foundation; either version 2 of 
 *  the License, or (at your option) any later version. 
 *******************************************************************/


if( !defined('FUNCTIONS_BOX_INC') )
{

define('FUNCTIONS_BOX_INC', true); 

/*
 * lang_box()
 * 
 * Construction de la liste droulante des langues disponibles pour le script
 * 
 * @param string $default_lang	: Langue actuellement utilise
 * 
 * @return string
 */
function lang_box($default_lang = '')
{
	global $waroot; 
	
	$lang_ary = array(); 
	
	$res = @opendir($waroot . 'language/'); 
	while( $filename = @readdir($res) ) 
	{
		if( preg_match('/^lang_([\w_-]+)\.php$/', $filename, $match) )
		{
			$lang_ary[] = $match[1]; 
		}
	}
	@closedir($res); 
	
	if( count($lang_ary) > 1 )
	{
		$lang_box = "<select name=\"language\">\n"; 
		
		asort($lang_ary); 
		foreach( $lang_ary AS $lang_name )
		{
			$selected = ( $default_lang == $lang_name ) ? ' selected="selected"' : ''; 
			$lang_box .= '<option value="' . $lang_name . '"' . $selected . '> - ' . $lang_name . " - </option>\n"; 
		}
		
		$lang_box .= "</select>\n"; 
	}
	else
	{
		list($lang_name) = $lang_ary; 
		
		$lang_box = $lang_name . '<input type="hidden" name="language" value="' . $lang_name . '" />'; 
	}
	
	return $lang_box; 
}

/*
 * format_box()
 * 
 * Construction de la liste droulante des formats de newsletter
 * 
 * @param string  $select_name		: Nom de la liste droulante
 * @param integer $default_format 	: Format par dfaut
 * @param boolean $option_submit	: True si submit lors du changement de valeur de la liste
 * @param boolean $multi_format		: True si on doit affiche galement multi-format comme valeur
 * 
 * @return string
 */
function format_box($select_name, $default_format = 0, $option_submit = false, $multi_format = false)
{
	$format_box = '<select name="' . $select_name . '"'; 
	
	if( $option_submit )
	{
		$format_box .= ' onchange="document.forms[\'logs\'].submit();">'; 
	}
	else
	{
		$format_box .= '>'; 
	}
	
	$format_box .= ( $default_format == FORMAT_TEXTE ) ? '<option value="1" selected="selected"> - texte - </option>' : '<option value="1"> - texte - </option>'; 
	$format_box .= ( $default_format == FORMAT_HTML ) ? '<option value="2" selected="selected"> - html - </option>' : '<option value="2"> - html - </option>';
	
	if( $multi_format )
	{
		$format_box .= ( $default_format == FORMAT_MULTIPLE ) ? '<option value="3" selected="selected"> - texte &amp; html - </option>' : '<option value="3"> - texte &amp; html - </option>';
	}
	
	$format_box .= '</select>'; 
	
	return $format_box; 
}

/*
 * date_box()
 * 
 * Construction de la liste droulante des priodes mois/anne pour les statistiques
 * 
 * @param array   $listdata	: Donnes de la liste concerne
 * @param integer $month	: Chiffre du mois de valeur par dfaut
 * @param integer $year		: Chiffre de l'anne de valeur par dfaut
 * 
 * @return string
 */
function date_box($listdata, $month, $year)
{
	global $db, $datetime; 
			
	$m = date('m'); 
	$y = date('Y'); 
	
	$first_m = date('m', $listdata['liste_startdate']); 
	$first_y = date('Y', $listdata['liste_startdate']); 
	
	$date_box = '<select name="date" onchange="this.form.submit();">'; 
	
	do
	{
		$toc = ( $m == $first_m && $y == $first_y ) ? false : true; 
		
		$str_month = date('F', mktime(0, 0, 0, $m, 1, $y)); 
		
		$selected = ( $month == $m && $year == $y ) ? ' selected="selected"' : ''; 
		$date_box .= '<option value="' . $m . '_' . $y . '"' . $selected . '> - ' . $datetime[$str_month] . ' ' . $y . ' - </option>'; 
		
		$m--; 
		if( $m == 0 )
		{
			$m = 12; 
			$y--; 
		}
	}
	while( $toc ); 
	
	$date_box .= '</select>'; 
	
	return $date_box; 
}

}
?>